# Add or update vendor payment method

Endpoint: POST /bills/vendors/{vendorId}/payment-method
Version: 2.0.0
Security: oauth2ClientCredentials

## Path parameters:

  - `vendorId` (string, required)

## Header parameters:

  - `org_wallet_ref` (string)

  - `business_id` (string, required)

## Request fields (application/json):

  - `channel` (string, required)
    Payment channel type
    Example: bank

  - `bank_code` (string)
    Bank code
    Example: 01

  - `bankCode` (string)
    Bank code alternative field
    Example: 01

  - `bank` (string)
    Bank name
    Example: Equity Bank

  - `account_number` (string)
    Account number
    Example: 1234567890

  - `accno` (string)
    Account number alternative field
    Example: 1234567890

  - `phone` (string)
    Phone number for mobile payments
    Example: 712345678

  - `till` (string)
    Till number
    Example: 123456

  - `till_no` (string)
    Till number alternative field
    Example: 123456

  - `business_no` (string)
    Paybill business number
    Example: 247247

  - `is_default` (boolean)
    Whether this is the default method
    Example: true

